Bug Hunting Session
Bug 112671 - EDITING: Table border thickness seems to change for some borders depending on zoom-level
Summary: EDITING: Table border thickness seems to change for some borders depending on...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Cell-Border Table-Borders Zoom-Issues
  Show dependency treegraph
 
Reported: 2017-09-26 17:33 UTC by Telesto
Modified: 2019-11-27 03:45 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Bibisect log (2.84 KB, text/plain)
2018-01-01 12:32 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-09-26 17:33:45 UTC
Description:
Table border thickness seems to change for some borders depending zoom-level

Steps to Reproduce:
1. Open attachment 132411 [details]
2. Zoom in (100-160)

Actual Results:  
Table border thickness seems to change for some borders depending zoom-level. The horizontal borders are especially affected

Expected Results:
The table border thickness should be consistent


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in:
Version: 6.0.0.0.alpha0+
Build ID: 4020945651b4f3c636980e2103db440b5c55459c
CPU threads: 4; OS: Windows 6.29; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-09-25_23:14:03
Locale: nl-NL (nl_NL); Calc: CL

also in
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL
-> there problem here are the vertical borders

Less obvious in:
Versie: 4.2.0.4 
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Dieter Praas 2017-09-26 19:42:41 UTC
I can confirm this with LO 5.4.2.1., but only with the specific table of the attachment in the bug report.

I couldn't reproduce it
- with a new table in the attached document
- with o acopy of the table in a new document

So I set the status to NEW (but perhaps this kind of confirmation is not strong enough). 


Version: 5.4.2.1 (x64)
Build-ID: dfa67a98bede79c671438308dc9036d50465d2cb
CPU-Threads: 4; Betriebssystem:Windows 6.19; UI-Render: GL; 
Gebietsschema: de-DE (de_DE); Calc: group
Comment 2 Telesto 2017-09-26 19:55:09 UTC
(In reply to Dieter Praas from comment #1)
> I can confirm this with LO 5.4.2.1., but only with the specific table of the
> attachment in the bug report.

Good point. It's reproducible when changing some border line width's from 1 to 1,25p.
Comment 3 Dieter Praas 2017-09-26 21:11:11 UTC
Yes, I could reproduce it with an new table in a new document and a border line width of 1pt
Comment 4 Telesto 2018-01-01 12:16:22 UTC
Seems to happen with a default table too (since table border is set to 0,5pt instead of 0,05pt)
Version: 6.1.0.0.alpha0+
Build ID: a9b202a6b7000e7af34f2a639ca207122a3968bf
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-12-26_23:10:23
Locale: nl-NL (nl_NL); Calc: CL
Comment 5 Telesto 2018-01-01 12:32:35 UTC
Created attachment 138788 [details]
Bibisect log

Two possible commits:
# possible first bad commit: [741ab007eafb819a6dc14036b54b939fd613a122] source-hash-d7f1f91b194da1cb96e66268ce7ef38602aa5754
# possible first bad commit: [907a2c68e55523b7f2f93142739103a4495f5090] source-hash-2c62596cf264ef10749d8bfdb2bb2ebef2d98fbc

Likely candidate:
author	Kohei Yoshida <kohei.yoshida@collabora.com>	2014-03-03 17:58:11 -0500
committer	Kohei Yoshida <kohei.yoshida@collabora.com>	2014-03-04 22:02:37 -0500
commit	2c62596cf264ef10749d8bfdb2bb2ebef2d98fbc (patch)
tree	1311156cb36884d0dde2b022467d7d0de6d799df
parent	fb052ae6174e4c96157ef6973f02c1d3cd4d9ba2 (diff)
fdo#75260: Correctly draw double lines for both Writer and Calc.
Fix all sorts of incorrect double line handling in drawinglayer in order to
draw thick-thin double line types correctly.  Also change handling of border
lines in writer tables. There are still some outstanding issues but it's
much better than how it was before.

Also realized that Word and Excel handle simple thin double lines differently;
Word varies widths of all of the lines and the gap whereas Excel only has one
fixed size for its double line.  For this reason I decided to add a separate
double line type (DOUBLE_THIN) to handle Excel's double line.
Comment 6 Telesto 2018-02-09 10:40:02 UTC Comment hidden (obsolete)
Comment 7 Buovjaga 2018-03-11 11:50:08 UTC
*** Bug 116024 has been marked as a duplicate of this bug. ***
Comment 8 Xisco Faulí 2018-06-05 19:41:52 UTC
Adding Cc: to Kohei Yoshida
Comment 9 QA Administrators 2019-11-27 03:45:46 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug